﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using AdventureWorksModel;
using ServerSideEFMVC3Razor;

namespace ServerSideEFMVC3Razor.Controllers
{
  public class HomeController : Controller
  {
    public ActionResult Index(int? page)
    {
      const int pageSize = 10;
      var customers = DataAccess.GetPagedCustomers((page ?? 0) * pageSize, pageSize);
      ViewBag.HasPrevious = customers.HasPrevious;
      ViewBag.HasMore = customers.HasNext;
      ViewBag.CurrentPage = (page ?? 0);
      return View(customers.Entities);
    }

    public ActionResult About()
    {
      return View();
    }
    public ActionResult Edit(int customerId)
    {

      return View(DataAccess.GetCustomerById(customerId));
    }

    [HttpPost]
    public ActionResult Edit(int customerId, Customer customer)
    {
      try
      {
        DataAccess.UpdateCustomer(customer);

        return RedirectToAction("Index");
      }
      catch (Exception ex)
      {

        return View();
      }
    }
  }
}
